html, body, canvas {
    margin: 0;
    padding: 0;
    overflow: hidden;
    height: 100%;
    width: 100%;
}

canvas {
    display: block;
    background-color: #000;
}

#overlay-text {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 2;
    text-align: center;
    color: #fff;
}

#overlay-text p:first-child {
    font-size: 120px;
    font-family: 'Courier New', Courier, monospace;
}

#overlay-text p:last-child {
    font-size: 35px;
    font-family: 'Fira Sans', sans-serif;
}

#contact-buttons {
    text-align: center;
    position: absolute;
    bottom: 3vh; /* Adjusted bottom margin */
    left: 50%;
    transform: translateX(-50%);
    display: flex;
    gap: 1vw; /* Adjust gap based on viewport width */
    z-index: 10;
}

.contact-link {
    padding: 1vw; /* Responsive padding */
    width: 10vw;  /* Responsive width */
    height: 10vw; /* Responsive height */
    font-size: 1.2vw;
    display: flex;
    justify-content: center;
    align-items: center;
    color: whitesmoke;
    text-decoration: none;
    border-radius: 50%;
    font-family: 'Roboto', sans-serif;
    transition: background-color 0.3s;
    box-shadow: 0px 0px 10px rgba(0,0,0,0.2);
}

.contact-link:hover {
    filter: brightness(0.9);
}
